## console-cyrillic 0.9

=== debian/changelog ===
console-cyrillic (0.9-18) unstable; urgency=medium

  [ наб ]
  * Standards-Version: 4.7.0 (routine-update)
  * Rules-Requires-Root: binary-targets (+ modernise root handling in d/rules)
  * d/rules: drop checkdir macro
  * List the files from debian/binary.tar.gz.uu in d/source/include-binaries
    and unpack permanently instead of unpacking/repacking each time
    (=> drop Build-Depends: sharutils)
  * d/rules: dpkg-gencontrol: warning: -isp is deprecated; it is without effect
  * debian/makeenc: mark executable, execute directly
  * d/rules: streamline installation
  * dumppsf: fix dumping mode 1 and mode 3 fonts (Closes: #1063760)
  * Remove d/conf*, d/init.d, d/po*, d/templates, d/postinst:
    not installed since 0.9-17
    (=> Build-Depends-Indep: drop po-debconf)
  * d/control: drop versioned dependency on trscripts
    (>= 1.5 unneeded since woody)
  * displayfont: disable UTF-8 mode only if stty -iutf8 (Closes: #1030816)
  * Ignore lintian postrm-contains-additional-updaterc.d-calls (see 0.9-17)
  * Fix lintian bad-whatis-entry
  * Add myself as uploader and VCS fields (Closes: #1086862)
  * d/watch: add fake returning "0.No-Site"
  * d/copyright: DEP-5 + old-fsf-address-in-copyright-file

  [ Jakub Wilk ]
  * Xref showconsolefont(8) instead of "(no such manpage?)" showfont
    Closes: #1063834

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 09 Nov 2024 18:57:28 +0100

console-cyrillic (0.9-17.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007656)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 23:19:16 +0000

console-cyrillic (0.9-17.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999069)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 09:17:15 +0200

console-cyrillic (0.9-17.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 15:06:14 +0100

console-cyrillic (0.9-17) unstable; urgency=medium

  * Remove the configuration script in /etc/init.d and the configuration
    by Debconf.  Closes: #796604, #388876, #496181, #660465, #769750, #783976, #647013, #660247, #690854.
  * Apply patches to make the build reproducible.  Thanks to Chris Lamb
    and Maria Valentina Marin, closes: #792999, #777304.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 05 Nov 2016 20:48:25 +0300

console-cyrillic (0.9-16.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #632590

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Jan 2012 08:14:03 +0100

console-cyrillic (0.9-16.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop versioned dependency on console-terminus: it is now virtual
    and even the old version in squeeze was higher.  (Closes: #629559)

 -- Philipp Kern <pkern@debian.org>  Sun, 23 Oct 2011 14:40:36 +0200

console-cyrillic (0.9-16) unstable; urgency=low

  * Add kbd to Should-Start in the init script (a temporary solution).
    Thanks to Michael Schutte, closes: #548100.
  * Lintian cleaning: binary-arch-rules-but-pkg-is-arch-indep.
  * Update Standards-Version to 3.8.1.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 06 Nov 2009 18:02:32 +0200

console-cyrillic (0.9-15.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (César Gómez Martín).  Closes: #524830
    - Italian (Luca Monducci).  Closes: #525474

 -- Christian Perrier <bubulle@debian.org>  Mon, 21 Sep 2009 07:31:25 +0200

console-cyrillic (0.9-15.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Galician. Closes: #481750
    - Portuguese. Closes: #488576
    - Czech. Closes: #495089
    - Finnish. Closes: #495270

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Aug 2008 10:53:22 -0300

console-cyrillic (0.9-15.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #459878)
  * Debconf translations:
    - Add Portuguese from Bruno Queiros (Closes: #438681).
    - Add Belarusian from Pavel Piatruk (Closes: #447112).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Mar 2008 09:13:51 +0100

console-cyrillic (0.9-15) unstable; urgency=low

  * Add a note about VBERestore option for i810 driver in the README file.
    Thanks to Dmitry Semyonov for the suggestion and the patch,
    closes: #402143.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 13 Jan 2007 14:16:48 +0200

console-cyrillic (0.9-14) unstable; urgency=low

  * Invoke consolechars and setfont for all consoles.  Thanks to Aptem
    (bug reportedr) and Damyan Ivanov (submitter of a patch).
    Closes: #380573.
  * Change the dependency from console-tools|kbd to kbd|console-tools.
    Thanks to Alastair McKinstry.  Closes: #387128.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 24 Sep 2006 17:04:25 +0300

console-cyrillic (0.9-13) unstable; urgency=low

  * Update the versioned depends on console-terminus to require at least
    4.16-2.  Thanks to Olleg Samoylov, closes: #350686.
  * Updated German translation.  Thanks to Daniel Knabl,
    closes: #349307, #349373, #352230.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 11 Feb 2006 23:33:25 +0200

console-cyrillic (0.9-12) unstable; urgency=low

  * Updated for the new file names used by console-terminus.
  * Updated German translation.  Thanks to Daniel Knabl, closes: #330448
  * New Spanish and Swedish translations.  Thanks to Daniel Nylander and
    César Gómez Martín, closes: #342048, #334552.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 11 Jan 2006 21:43:53 +0200

console-cyrillic (0.9-11) UNRELEASED; urgency=low

  * cyr looks for the Terminus font using relative path.


