=== debian/control ===
Source: console-cyrillic
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Uploaders: наб <nabijaczleweli@nabijaczleweli.xyz>
Section: misc
Priority: optional
Standards-Version: 4.7.0
Build-Depends-Indep: perl, trscripts, console-data
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/debian/console-cyrillic.git
Vcs-Browser: https://salsa.debian.org/debian/console-cyrillic
Homepage: https://web.archive.org/web/20050212121905/http://www.45.free.net/~vitus/ice/works/unix.html#linuxfonts

Package: console-cyrillic
Architecture: all
Description: Cyrillic fonts and keyboard layouts for Linux console
 This package provides Cyrillic support on the Linux console with great
 number of customizations:
 .
 1) Various supported encodings: utf-8, cp1251, ibm866, iso-8859-5, koi8-r,
 koi8-u, mac-cyrillic, mik, pt154 and rk1048.
 .
 2) Belarusian, two Bulgarian, two Kazakh, Macedonian, Mongolian, two Russian,
 Serbian and two Ukrainian keyboard mappings.
 .
 3) Many screen fonts.
 .
 4) Utilities: cyr, displayfont, dumppsf, makeacm, mkvgafont, raw2psf.
 .
 5) Two fonts for Dosemu.
Section: misc
Priority: optional
Depends: perl-base (>= 5.8.3-2), debconf | debconf-2.0, kbd | console-tools, console-terminus
Suggests: libunicode-string-perl, perl, console-setup | console-setup-mini
Conflicts: console-tools-cyrillic
Replaces: console-tools-cyrillic
